Display variables and values
============================

.. note::

    | Find all the variables and their values in your configuration (structural and user data). Additional informations are available, such as the default value, the location where the value is loaded, etc.
    | **Path**: display
    | `*disabled*`
    | **Disabled**: if display is not set in "select for output" (step.output).



.. list-table::

   * - Variable
     - Description

   * - **display.output_format**

       `choice <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       --display.output_format

       **Environment variable**: ROUGAILCLI_DISPLAY.OUTPUT_FORMAT
     - The output format for displaying variables.

       **Choices**: 

       

       - console **← (default)**

       - github

       - gitlab

   * - **display.show_secrets**

       `boolean <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       

       - --display.show_secrets

       - --display.no-show_secrets

       

       **Environment variable**: ROUGAILCLI_DISPLAY.SHOW_SECRETS
     - Show secrets instead of obscuring them.

       **Default**: false

Specific configuration for console output
-----------------------------------------

.. note::

    | **Path**: display.console
    | `*disabled*`
    | **Disabled**: when the variable "The output format for displaying variables" (display.output_format) hasn't the value "console".



.. list-table::

   * - Variable
     - Description

   * - **display.console.max_width**

       `integer <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__

       **Command line**: 

       --display.console.max_width

       **Environment variable**: ROUGAILCLI_DISPLAY.CONSOLE.MAX_WIDTH
     - Maximum number of characters per line.

       Null means unlimited.

       **Validator**: the minimum value is 50
